| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::tracking::tbm::ResizedImageDescriptor Class Reference

Uses resized image as descriptor. More...

`#include <opencv2/tracking/tracking_by_matching.hpp>`

Collaboration diagram for cv::detail::tracking::tbm::ResizedImageDescriptor:

## Public Member Functions
| ResizedImageDescriptor (const cv::Size &descr_size, const cv::InterpolationFlags interpolation)
| Constructor.
void | compute (const cv::Mat &mat, cv::Mat &descr) override
| Computes image descriptor.
void | compute (const std::vector< cv::Mat > &mats, std::vector< cv::Mat > &descrs) override
| Computes images descriptors.
cv::Size | size () const override
| Returns descriptor size.
Public Member Functions inherited from cv::detail::tracking::tbm::IImageDescriptor
virtual | ~IImageDescriptor ()

## Detailed Description

Uses resized image as descriptor.

## Constructor & Destructor Documentation

## ◆ ResizedImageDescriptor()

cv::detail::tracking::tbm::ResizedImageDescriptor::ResizedImageDescriptor | ( | const cv::Size & | descr_size,
|  | const cv::InterpolationFlags | interpolation )
| inline explicit

Constructor.

Parameters

  [in] | descr_size | Size of the descriptor (resized image).
  [in] | interpolation | Interpolation algorithm.

## Member Function Documentation

## ◆ compute() [1/2]

void cv::detail::tracking::tbm::ResizedImageDescriptor::compute | ( | const cv::Mat & | mat,
|  | cv::Mat & | descr )
| inline override virtual

Computes image descriptor.

Parameters

  [in] | mat | Frame containing the image of interest.
  [out] | descr | Matrix to store the computed descriptor.

Implements cv::detail::tracking::tbm::IImageDescriptor.

Here is the call graph for this function:

## ◆ compute() [2/2]

void cv::detail::tracking::tbm::ResizedImageDescriptor::compute | ( | const std::vector< cv::Mat > & | mats,
|  | std::vector< cv::Mat > & | descrs )
| inline override virtual

Computes images descriptors.

Parameters

  [in] | mats | Frames containing images of interest.
  [out] | descrs | Matrices to store the computed descriptors.

Implements cv::detail::tracking::tbm::IImageDescriptor.

## ◆ size()

cv::Size cv::detail::tracking::tbm::ResizedImageDescriptor::size | ( |  | ) | const
| inline override virtual

Returns descriptor size.

Returns
  Number of elements in the descriptor.

Implements cv::detail::tracking::tbm::IImageDescriptor.

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_by_matching.hpp